inited=false
i=0
exitstatus=0

printline() {
	i=$((i+1))
	[ "$1" -eq 0 ] && printf "ok %d - %s\n" $i "$current" && return;
	printf "not ok %d - %s\n" $i "$current"
}

test() {
	lastexitstatus=$?
	[ $lastexitstatus -eq 1 ] && exitstatus=1
	! $inited && current="$1" && inited=true && pretest && return;

	printline $lastexitstatus
	posttest
	current=$1
	pretest
}

printplan() {
	printf "1..%s\n" "$i"
}

finish() {
	lastexitstatus=$?
	[ -z "$current" ] && exit
	printline $lastexitstatus
	printplan
	exit $exitstatus
}

trap finish EXIT

sandboxpath=""
pretest() {
	sandboxpath="$(mktemp -d)"
	cd "$sandboxpath" || exit 1
}

posttest() {
	true
}

PATH="$(pwd)":$PATH
